This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 201913 - Review Request: compat-gcc-34 - GCC 3.4.6-RH compatibility compiler and libraries
Review Request: compat-gcc-34 - GCC 3.4.6-RH compatibility compiler and libra...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FC-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-09 14:50 EDT by Jakub Jelinek
Modified: 2013-01-09 20:30 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 13:45:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jakub Jelinek 2006-08-09 14:50:20 EDT
Spec URL: cvs://:cvs.devel.redhat.com/cvs/dist/rpms/compat-gcc-34/devel/compat-gcc-34.spec
SRPM URL: make srpm in cvs.devel checkout
Description: This package is analoguous to compat-gcc-32 in FC5 and earlier.
The proposed compat compiler/libraries set for FC6/RHEL5 is:
compat-gcc-34 (subpackages compat-gcc-34, compat-gcc-34-{c++,g77,libf2c})
is GCC 3.4.6-RH compiler (no compat-libstdc++-34, as GCC 4.1.1-RH libstdc++
is backwards compatible with 3.4.6-RH).
compat-gcc-32 will only build compat-libstdc++-32 subpackage and compat-libstdc++-296 will still exist too, just with all pre-2.96-RH libraries nuked.
Comment 1 Dennis Gilmore 2006-08-09 15:04:54 EDT
I personally think that this should live in extras not core.  unless something 
in core needs the older compiler to build.
Comment 2 Elena Zannoni 2006-08-09 15:46:12 EDT
No, this needs to be in the core.
Comment 3 Jesse Keating 2006-08-09 16:49:02 EDT
NEEDSWORK:
- Defining gcc_version and then using it in all places you could use Version: is
silly, and unnecessarily complicated.
- Ditto gcc_release
- Don't start summary with "The"
- Buildroot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- Lots of Obsoletes w/out provides
- PreReq instead of Requires(pre) or Requires(post) or just Requires.
Comment 4 Jakub Jelinek 2006-08-09 17:10:30 EDT
New spec file checked into CVS, except for the
- Lots of Obsoletes w/out provides
point.  The Obsoletes are in primarily to avoid keeping 10 years old compat gcc's
around on upgrades and because some of the old compat packages conflict with
this one.
Comment 5 Jesse Keating 2006-08-10 12:33:46 EDT
Ok, looks good now, all the rpmlint warnings can be ignored (gcc is speshul).

Bill, tech ack?
Comment 6 Bill Nottingham 2006-08-10 12:39:15 EDT
Sure.
Comment 7 Jesse Keating 2006-08-10 12:46:49 EDT
I've added it to dist-fc6, jakub does this need to be in comps somewhere? 
(which I would assume given the "it must be in core" attitude)
Comment 8 Jakub Jelinek 2006-08-10 13:27:53 EDT
Yes, Legacy software development.
But that category will need some further editing (e.g. most of the
compat-gcc-32-* subpackages are going away, compat-gcc doesn't exist for ages,
etc.).
Comment 9 Jesse Keating 2006-08-10 13:53:27 EDT
Ok, patches welcome (:
Comment 10 Dennis Gilmore 2006-08-10 14:21:58 EDT
I still dont get why this needs to be in core.  it could live perfectly happy 
in extras.  extras has a comps is installable at initial install time.  is 
available in pirut. AFAICT the only reason any of the compat-gcc  packages 
should be in core is if  a package in core relies on it to build.  otherwise 
they all should be moved to extras.  

living in Extras does not preclude it from being in RHEL
Comment 11 Alan Cox 2006-08-11 13:45:41 EDT
I'd second that - why does this need to be in core ? What package in core
requires it to build ?
Comment 12 Josh Boyer 2006-08-11 21:48:14 EDT
(In reply to comment #11)
> I'd second that - why does this need to be in core ? What package in core
> requires it to build ?

I'll second that second :).  I also see no reason why this needs to be in core.

Comment 13 Jesse Keating 2006-08-24 13:45:28 EDT
This is closed for now.  They've gone into core, but a new bug could be opened
to ask for their move to Extras.
Comment 14 David Woodhouse 2006-08-25 14:31:49 EDT
New bug #204124

Note You need to log in before you can comment on or make changes to this bug.